Subject: Re: [tcpm] stray thoughts was Re: I-D Action: draft-ietf-tcpm-yang-tcp-03.txt

From: "Scharf, Michael" <[email-masked]>
Date: Thu, 30 Dec 2021 14:07:29 +0000

Hi Tom,

Thanks a lot for these comments and sorry for the delay.

The most recent version -05 should address your comments, unless noted below. The full diff is available at: https://www.ietf.org/rfcdiff?url2=draft-ietf-tcpm-yang-tcp-05

> -----Original Message-----
> From: t petch <[email-masked]>
> Sent: Monday, October 25, 2021 11:46 AM
> To: Scharf, Michael <[email-masked]>; Yoshifumi Nishida
> <[email-masked]>; [email-masked] Extensions <[email-masked]>
> Subject: stray thoughts was Re: [tcpm] I-D Action: draft-ietf-tcpm-yang-tcp-
> 03.txt
> 
> On 22/10/2021 17:45, Scharf, Michael wrote:
> >>> Hello folks,
> >>> The chairs are thinking that the draft is getting close to WGLC.
> >>> We'll discuss it at the next meeting, but please share if you have any
> >>> comments or concerns on proceeding this draft to WGLC.
> >>>
> >>> We appreciate your feedback
> 
> Further to my comments on http and 793bis,
> 
> all YANG import need a Normative Reference
> 
> I would like a more comprehensive comparison with RFC4022 - other I-D
> have provided a table showing the objects or groups thereof which carry
> across and those that do not.

We have discussed this suggestion during the last meeting, but I guess the WG is not convinced that a detailed comparison is really needed. So, instead, I have added in -05 some additional text, but not a long table with a comparison. Anybody familiar with YANG and MIBs can easily figure out the differences. 

> You mention other models which model TCP - for me the most
> comprehensive
> would be in I2NSF
> 
> 0..255 could be 0..max
> 
> MD5 needs calling out as no longer strong enough both in the YANG module
> and in Security Considerations, perhaps making AO the default, perhaps
> making MD5 deprecated.  The Security AD will do this if noone else does
> but why make work for him?  opsawg-l3sm-l3nm and dhcpv6-yang went this
> way recently
> 
> the statistics with their protocol detail need references even if every
> one is 793bis
> 
> YANG 'action' could probably do with a NACM default deny-all
> 
> 5.1 This document registers two URIs...
> Really?
> 
> Examples should use documentation IP addresses
> 
> An IPv6 example might create a good impression
> 
> The convention for line wrap would be better for a reference to RFC8792

This should all be addressed. Please have a look at -05 and please let us know if anything is missing.

Thanks again!

Michael

> 
> Tom Petch
> 
> 
> >> More parochially, is it time for this I-D to build on 793bis and not 793?
> >
> > Good catch, I have suggested the same recently in other context (
> https://mailarchive.ietf.org/arch/msg/tcpm/WF6OApDuj_nSlY_S-J-
> G1bgxWp0/ ).
> >
> > IMHO we should start referencing 793bis in all documents last called in
> TCPM after 793bis. I should have done that myself... Mea culpa...
> >
> > Note, however, that so far there is no clear consensus in TCPM on when to
> use 793bis as new normative reference for TCP, mostly since 793bis is still in
> IESG evaluation.
> >
> >> The web reference is insecure and ood.
> >
> > Good catch. Thanks.
> >
> >> The title in the reference clause is not that of the I-D.
> >
> > Yep, albeit that text will have to be fixed by the RFC Editor anyway.
> >
> >> The IANA COnsiderations do not follow the template of RFC6020.
> >
> > Mahesh may be in a better position to comment on that.
> >
> > Thanks for the comments!
> >
> > Michael
> >
> >> Tom Petch
> >>
> >>> --
> >>> Yoshi
> >>>
> >>> On Tue, Oct 19, 2021 at 9:01 AM <[email-masked]> wrote:
> >>>
> >>>>
> >>>> A New Internet-Draft is available from the on-line Internet-Drafts
> >>>> directories.
> >>>> This draft is a work item of the TCP Maintenance and Minor Extensions
> >> WG
> >>>> of the IETF.
> >>>>
> >>>>           Title           : YANG Model for Transmission Control Protocol
> >>>> (TCP) Configuration
> >>>>           Authors         : Michael Scharf
> >>>>                             Mahesh Jethanandani
> >>>>                             Vishal Murgai
> >>>>           Filename        : draft-ietf-tcpm-yang-tcp-03.txt
> >>>>           Pages           : 22
> >>>>           Date            : 2021-10-19
> >>>>
> >>>> Abstract:
> >>>>      This document specifies a minimal YANG model for TCP on devices
> that
> >>>>      are configured by network management protocols.  The YANG
> model
> >>>>      defines a container for all TCP connections and groupings of
> >>>>      authentication parameters that can be imported and used in TCP
> >>>>      implementations or by other models that need to configure TCP
> >>>>      parameters.  The model also includes basic TCP statistics.  The model
> >>>>      is NMDA (RFC 8342) compliant.
> >>>>
> >>>>
> >>>> The IETF datatracker status page for this draft is:
> >>>> https://datatracker.ietf.org/doc/draft-ietf-tcpm-yang-tcp/
> >>>>
> >>>> There is also an htmlized version available at:
> >>>> https://datatracker.ietf.org/doc/html/draft-ietf-tcpm-yang-tcp-03
> >>>>
> >>>> A diff from the previous version is available at:
> >>>> https://www.ietf.org/rfcdiff?url2=draft-ietf-tcpm-yang-tcp-03
> >>>>
> >>>>
> >>>> Internet-Drafts are also available by anonymous FTP at:
> >>>> ftp://ftp.ietf.org/internet-drafts/
> >>>>
> >>>>
> >>>> _______________________________________________
> >>>> I-D-Announce mailing list
> >>>> [email-masked]
> >>>> https://www.ietf.org/mailman/listinfo/i-d-announce
> >>>> Internet-Draft directories: http://www.ietf.org/shadow.html
> >>>> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> >>>>
> >>>
> >>>
> >>>
> >>> _______________________________________________
> >>> tcpm mailing list
> >>> [email-masked]
> >>> https://www.ietf.org/mailman/listinfo/tcpm
> >>>
> >>
> >> _______________________________________________
> >> tcpm mailing list
> >> [email-masked]
> >> https://www.ietf.org/mailman/listinfo/tcpm
> > .
> >